=== debian/changelog ===
golang-github-checkpoint-restore-checkpointctl (0.1.0+ds1-2ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 23 Jun 2025 11:27:31 +1000

golang-github-checkpoint-restore-checkpointctl (0.1.0+ds1-2ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 25 Oct 2024 12:14:09 +1000

golang-github-checkpoint-restore-checkpointctl (0.1.0+ds1-2ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 12 Jul 2024 13:32:05 +0530

golang-github-checkpoint-restore-checkpointctl (0.1.0+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 24 Oct 2023 18:11:23 -0400

golang-github-checkpoint-restore-checkpointctl (0.1.0+ds1-1) experimental; urgency=medium

  * Initial release (Closes: #1054273)

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 23 Oct 2023 08:21:20 -0400
