=== debian/changelog ===
golang-github-checkpoint-restore-checkpointctl (1.2.1+ds1-4) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 17 Aug 2024 07:07:13 -0400

golang-github-checkpoint-restore-checkpointctl (1.2.1+ds1-3) experimental; urgency=medium

  * New upstream release
  * Bump Standards version
  * tighten dependency on go-criu >> 7.1
  * build against golang-github-xlab-treeprint-dev (>> 1.2)

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 06 Aug 2024 20:14:57 -0400
