=== debian/control ===
Source: golang-github-checkpoint-restore-checkpointctl
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-checkpoint-restore-go-criu-dev (>> 7.1),
               golang-github-containers-storage-dev,
               golang-github-olekukonko-tablewriter-dev,
               golang-github-opencontainers-specs-dev,
               golang-github-spf13-cobra-dev,
               golang-github-ulikunitz-xz-dev,
               golang-github-xlab-treeprint-dev (>> 1.2)
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-checkpoint-restore-checkpointctl
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-checkpoint-restore-checkpointctl.git
Homepage: https://github.com/checkpoint-restore/checkpointctl
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/checkpoint-restore/checkpointctl

Package: golang-github-checkpoint-restore-checkpointctl-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-checkpoint-restore-go-criu-dev (>> 7.1),
         golang-github-containers-storage-dev,
         golang-github-olekukonko-tablewriter-dev,
         golang-github-opencontainers-specs-dev,
         golang-github-spf13-cobra-dev,
         golang-github-ulikunitz-xz-dev,
         golang-github-xlab-treeprint-dev,
         golang-github-xlab-treeprint-dev (>> 1.2),
         ${misc:Depends}
Description: Tool to inspect Kubernetes and Podman checkpoints (library)
 Container engines like *Podman* and *CRI-O* have the ability to
 checkpoint a container.  All data related to a checkpoint is collected
 in a checkpoint archive.
 .
 This library contains code to create and make use of checkpoint archives.

Package: checkpointctl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Tool to inspect Kubernetes and Podman checkpoints (program)
 Container engines like *Podman* and *CRI-O* have the ability to
 checkpoint a container.  All data related to a checkpoint is collected
 in a checkpoint archive.
 .
 This package provides the tool checkpointctl to display information about
 these checkpoint archives.
