## golang-github-checkpoint-restore-checkpointctl 1.3.0+ds1

=== Makefile ===
--- 
+++ 
@@ -16,32 +16,13 @@
 
 COVERAGE_PATH ?= $(shell pwd)/.coverage
 
-GO_MAJOR_VER = $(shell $(GO) version | cut -c 14- | cut -d' ' -f1 | cut -d'.' -f1)
-GO_MINOR_VER = $(shell $(GO) version | cut -c 14- | cut -d' ' -f1 | cut -d'.' -f2)
-MIN_GO_MAJOR_VER = 1
-MIN_GO_MINOR_VER = 20
-GO_VALIDATION_ERR = Go version is not supported. Please update to at least $(MIN_GO_MAJOR_VER).$(MIN_GO_MINOR_VER)
-
 .PHONY: all
 all: $(NAME)
-
-.PHONY: check-go-version
-check-go-version:
-	@if [ $(GO_MAJOR_VER) -gt $(MIN_GO_MAJOR_VER) ]; then \
-		exit 0 ;\
-	elif [ $(GO_MAJOR_VER) -lt $(MIN_GO_MAJOR_VER) ]; then \
-		echo '$(GO_VALIDATION_ERR)';\
-		exit 1; \
-	elif [ $(GO_MINOR_VER) -lt $(MIN_GO_MINOR_VER) ] ; then \
-		echo '$(GO_VALIDATION_ERR)';\
-		exit 1; \
-	fi
-
 
 $(NAME): $(GO_SRC)
 	$(GO_BUILD) -o $@ -ldflags "-X main.name=$(NAME) -X main.version=${VERSION}"
 
-$(NAME).coverage: check-go-version $(GO_SRC)
+$(NAME).coverage: $(GO_SRC)
 	$(GO) build \
 		-cover \
 		-o $@ \
@@ -91,18 +72,12 @@
 	make -C test test-junit clean
 
 .PHONY: coverage
-coverage: check-go-version $(NAME).coverage
+coverage: $(NAME).coverage
 	mkdir -p $(COVERAGE_PATH)
 	COVERAGE_PATH=$(COVERAGE_PATH) COVERAGE=1 make -C test
 	# Print coverage from this run
 	$(GO) tool covdata percent -i=${COVERAGE_PATH}
 	$(GO) tool covdata textfmt -i=${COVERAGE_PATH} -o ${COVERAGE_PATH}/coverage.out
-
-.PHONY: codecov
-codecov:
-	curl -Os https://uploader.codecov.io/latest/linux/codecov
-	chmod +x codecov
-	./codecov -f "$(COVERAGE_PATH)"/coverage.out
 
 .PHONY: vendor
 vendor:
@@ -158,7 +133,6 @@
 	@echo " * test - run tests"
 	@echo " * test-junit - run tests and create junit output"
 	@echo " * coverage - generate test coverage report"
-	@echo " * codecov - upload coverage report to codecov.io"
 	@echo " * install - install the binary to $(BINDIR)"
 	@echo " * uninstall - remove the installed binary from $(BINDIR)"
 	@echo " * release - build a static binary"
