=== debian/changelog ===
golang-github-checkpoint-restore-checkpointctl (1.3.0+ds1-3) unstable; urgency=medium

  [ Reinhard Tartler ]
  * gbp.conf: set debian-branch

  [ Adrian Reber ]
  * Replace olekukonko/tablewriter with text/tabwriter

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 16 Aug 2025 18:02:21 -0400

golang-github-checkpoint-restore-checkpointctl (1.3.0+ds1-2) unstable; urgency=medium

  * upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 12 Nov 2024 09:50:17 -0500

golang-github-checkpoint-restore-checkpointctl (1.3.0+ds1-1) experimental; urgency=medium

  * New upstream release: 1.3.0
  * bump dependency on go-criu-dev

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 29 Oct 2024 09:06:40 -0400
